<?php if (!defined('ABSPATH')) {
    die;
} // Cannot access directly.

//
// Set a unique slug-like ID
//
$prefix = '_greet';

//
// Create options
//
GREET::createOptions($prefix, array(
    'menu_title' => esc_html__('Greet video', 'greet-bubble'),
    'menu_slug'  => 'greet-options',
    'framework_title'   => esc_html__('Greet', 'greet-bubble'),
    'show_bar_menu' => false,
    'menu_icon' => 'dashicons-format-video',
    'footer_text'             => __('If you love the plugin don\'t forgot to add a review at <a target="_blank" href="https://wordpress.org/support/plugin/greet-bubble/reviews/#new-post">WordPress plugin repository</a>. ', 'greet-bubble'),
    'theme'                   => 'light',
    'ajax_save'        => true,
    'show_reset_all'   => false,
    'show_search'      => false,
    'show_all_options' => false,
    'show_sub_menu'    => false,
    'nav'              => 'inline',
    'theme'            => 'light',
    'menu_position'    => 58,
));

//
// Create a section
//
GREET::createSection($prefix, array(
    'title'  => __('UPLOAD VIDEO', 'greet-bubble'),
    'icon'   => 'fas fa-upload',
    'fields' => array(
        array(
            'type'    => 'content',
            'content' => 'Explore the benefits of upgrading to the professional version by <a target="_blank" href="https://1.envato.market/gbdm79">clicking here</a>.',
        ),
        array(
            'id'      => 'mp4',
            'type'    => 'media',
            'title'   => esc_html__('Upload Video (mp4)*', 'greet-bubble'),
            'desc'  =>  __('If you do not have a mp4 video you may use <a href="http://www.freeconvert.com" target="_blank">this website</a> to convert your current version of video.', 'greet-bubble'),
            'library' => 'video',
        ),

        array(
            'id'    => 'button_text',
            'title' => esc_html__('Button text', 'greet-bubble'),
            'desc' => esc_html__('Add button text here. If you don\'t want to show the button just keep it blank.', 'greet-bubble'),
            'type'  => 'text',
            'default' => esc_html__('Make a booking', 'greet-bubble'),
        ),

        array(
            'id'    => 'button_link',
            'title' => esc_html__('Button link', 'greet-bubble'),
            'desc' => esc_html__('Add link for opening as external link on first button click. Remove link if you want to load second video instead of link.', 'greet-bubble'),
            'type'  => 'link',
        ),


    )
));

//
// Validate
//

GREET::createSection($prefix, array(
    'title'       => __('APPEARANCE', 'greet-bubble'),
    'icon'        => 'fas fa-desktop',
    'fields'      => array(
        array(
            'type'    => 'content',
            'content' => 'Explore the benefits of upgrading to the professional version by <a target="_blank" href="https://1.envato.market/gbdm79">clicking here</a>.',
        ),
        array(
            'id'    => 'hi_text',
            'title' => esc_html__('Hi text Input', 'greet-bubble'),
            'desc' => esc_html__('Change small hello text here', 'greet-bubble'),
            'type'  => 'text',
            'default' =>  esc_html__('Hello', 'greet-bubble'),

        ),

        array(
            'id'          => 'greet_positon',
            'type'        => 'select',
            'title'       => esc_html__('Bubble position', 'greet-bubble'),
            'desc' => esc_html__('Select bubble position you want to show', 'greet-bubble'),

            'options'     => array(
                'right'     => esc_html__('Right', 'greet-bubble'),
                'greet-left'     => esc_html__('Left', 'greet-bubble'),
            ),
            'default'     => 'right'
        ),

        array(
            'id'         => 'pause-video',
            'type'       => 'switcher',
            'title'       => esc_html__('Pause video when leaving page', 'greet-bubble'),
            'desc' => esc_html__('Turn on the option to pause video if they switch browser tab. ', 'greet-bubble'),
        ),


        array(
            'id'      => 'border_color',
            'type'    => 'color',
            'title'   => esc_html__('Border Color', 'greet-bubble'),
            'desc'   => esc_html__('Change bubble border color here', 'greet-bubble'),
            'default' => '#7432ff',
        ),

        array(
            'id'      => 'button_type',
            'type'    => 'button_set',
            'title'   => esc_html__('Button type', 'greet-bubble'),
            'options' => array(
                'square'    => esc_html__('Square', 'greet-bubble'),
                'rounded'   => esc_html__('Rounded', 'greet-bubble'),
            ),
            'default' => 'square',
        ),


        array(
            'id'      => 'button_radius',
            'type'    => 'slider',
            'title'   => esc_html__('Button radius', 'greet-bubble'),
            'default' => 5,
            'dependency' => array('button_type', '==', 'rounded'),
        ),

        array(
            'id'        => 'buttonsColors',
            'type'      => 'color_group',
            'title'     => esc_html__('Buttons colors', 'greet-bubble'),
            'options'   => array(
                'buttons_bg' => esc_html__('Backorund', 'greet-bubble'),
                'buttons_color' => esc_html__('Text color', 'greet-bubble'),
                'buttons_hover_bg' => esc_html__('Background hover', 'greet-bubble'),
                'buttons_hover_color' => esc_html__('Hover text color', 'greet-bubble'),
            ),
            'default'   => array(
                'buttons_bg' => '#7432ff',
                'buttons_color' => '#ffffff',
                'buttons_hover_bg' => '#7113ff',
                'buttons_hover_color' => '#ffffff',
            )
        ),
    )
));


GREET::createSection($prefix, array(
    'title'       => esc_html__('BACKUP', 'greet-bubble'),
    'icon'        => 'fas fa-shield-alt',
    'description' => esc_html__('Export or import to use same settings in different websites.', 'greet-bubble'),
    'fields'      => array(
        array(
            'type' => 'backup',
        ),

    )
));

// Templates options
GREET::createSection($prefix, array(
    'title'  => esc_html__('GET HELP', 'chat-help'),
    'icon'   => 'fas fa-life-ring',
    'fields' => array(

        array(
            'id'    => 'greet-formtitletest',
            'type'  => 'text',
            'type'     => 'callback',
            'function' => 'greet_get_help_callback',
        ),


    )
));




function greet_get_help_callback()
{
?>
    <div class="wrap">
        <div class="greet-help-wrapper">
            <div class="greet__help--header">
                <h3>Greet Bubble <span><?php echo GREET_VERSION; ?></span></h3>
                Thank you for installing <strong>Greet Bubble</strong> plugin! This video will help you get started with the plugin.
            </div>

            <div class="greet__help--video">
                <iframe width="560" height="315" src="https://www.youtube.com/embed/3LbuUw7SdNQ?si=7pfYmbZhdrKacgxU" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" allowfullscreen></iframe>
            </div>

            <div class="greet__help--footer">
                <a class="button button-primary" href="<?php echo get_admin_url() . '/admin.php?page=greet-options'; ?>">Go to settings page</a>
                <a target="_blank" class="button button-secondary" href="https://1.envato.market/gbdm79">Upgrade to pro</a>
            </div>

        </div>
    </div>
<?php }
